> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all user's information.

> Get user's information with status.

## OpenAPI

````json GET /v1/users
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/users": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get all user's information.",
        "description": "Get user's information with status.",
        "operationId": "getAllUsers",
        "x-auth-resource": "Reader,Writer,Manager",
        "parameters": [
          {
            "name": "all_search",
            "in": "query",
            "description": "Search on name or email.",
            "required": false,
            "type": "string"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum numbers of users to return.",
            "required": false,
            "type": "integer"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "Number of users to skip from start.",
            "required": false,
            "type": "integer"
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Search result for user's objects.",
            "schema": {
              "$ref": "#/definitions/GetAllUsersResponse"
            }
          }
        },
        "security": [
          {
            "bearerToken": []
          }
        ]
      }
    }
  }
}
````

